Page MenuHomePhabricator

status: Add tests for some more edge cases
ClosedPublic

Authored by SimonSapin on May 7 2021, 12:44 PM.

Details

Summary
  • Size-preserving file contents modification
  • Filtering output to a deleted or removed file

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

SimonSapin created this revision.May 7 2021, 12:44 PM

check code complains about this series:

--- c:/Users/Matt/hg/tests/test-check-code.t
+++ c:/Users/Matt/hg/tests/test-check-code.t.err
@@ -34,6 +34,16 @@
   Skipping i18n/polib.py it has no-che?k-code (glob)
   Skipping mercurial/statprof.py it has no-che?k-code (glob)
   Skipping tests/badserverext.py it has no-che?k-code (glob)
+  tests/test-status.t:697:\r (esc)
+   >   $ touch -d 2001-02-03 a b\r (esc)
+   don't use 'touch -d', use 'touch -t' instead\r (esc)
+  tests/test-status.t:700:\r (esc)
+   >   $ touch -d 2001-02-04 a b\r (esc)
+   don't use 'touch -d', use 'touch -t' instead\r (esc)
+  tests/test-status.t:733:\r (esc)
+   > `hg st` only gives the correct answer about clean (or deleted) files \r (esc)
+   trailing whitespace on non-output\r (esc)
+  [1]
baymax updated this revision to Diff 27775.May 10 2021, 5:37 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.